org.apache.http.impl.cookie

## Enum RFC6265CookieSpecProvider.CompatibilityLevel

- java.lang.Object
- - java.lang.Enum<RFC6265CookieSpecProvider.CompatibilityLevel>
  - - org.apache.http.impl.cookie.RFC6265CookieSpecProvider.CompatibilityLevel

- All Implemented Interfaces:
    Serializable, Comparable<RFC6265CookieSpecProvider.CompatibilityLevel>
  Enclosing class:
    RFC6265CookieSpecProvider

      public static enum RFC6265CookieSpecProvider.CompatibilityLevel
      extends Enum<RFC6265CookieSpecProvider.CompatibilityLevel>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IE_MEDIUM_SECURITY`
    `RELAXED`
    `STRICT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RFC6265CookieSpecProvider.CompatibilityLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RFC6265CookieSpecProvider.CompatibilityLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRICT

          public static final RFC6265CookieSpecProvider.CompatibilityLevel STRICT

    - #### RELAXED

          public static final RFC6265CookieSpecProvider.CompatibilityLevel RELAXED

    - #### IE_MEDIUM_SECURITY

          public static final RFC6265CookieSpecProvider.CompatibilityLevel IE_MEDIUM_SECURITY

  - ### Method Detail

    - #### values

          public static RFC6265CookieSpecProvider.CompatibilityLevel[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RFC6265CookieSpecProvider.CompatibilityLevel c : RFC6265CookieSpecProvider.CompatibilityLevel.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RFC6265CookieSpecProvider.CompatibilityLevel valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.